﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Data.Extensions;
using Syncfusion.Data;

namespace SfDataGrid_Sample
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            SetRowstoGenerate(10);
        }

        private int myproperty;
        public int MyProperty { get
            {
                return myproperty;
            } set
            {
                this.myproperty = value;
            }
                }


        private object selectitem;

        public object Selectitem
        {
            get
            {
                return selectitem;
            }
            set
            {
                this.selectitem = value;
            }
            
            
        }

        private int _testing = 99;
        public int Testing
        {
            get
            {
                return _testing;
            }
            set
            {
                this._testing = value;
            }
        }

        #region ItemsSource

        OrderInfoRepository order;
        private Random random = new Random();
        private ObservableCollection<OrderInfo> ordersInfo;

        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get { return ordersInfo; }
            set { this.ordersInfo = value; }
        }

        private ObservableCollection<Products> products;

        public ObservableCollection<Products> Products
        {
            get { return products; }
            set { this.products = value; }
        }

        #endregion

        #region ItemSource Generator

        public void SetRowstoGenerate(int count)
        {
            order = new OrderInfoRepository();
            ordersInfo = order.GetOrderDetails(count);
            ProductRepository product = new ProductRepository();
            products = product.GetProductDetails(count);
        }

        internal void ItemsSourceRefresh()
        {
            var count = random.Next(1, 6);

            for (int i = 11000; i < 11000 + count; i++)
            {
                int val = i + random.Next(100, 150);
                //this.OrdersInfo.Insert(0, order.RefreshItemsource(val));
            }
        }

        internal void LoadMoreItems()
        {
            //for (int i = 0; i < 20; i++)
            //    this.OrdersInfo.Add(order.GenerateOrder(OrdersInfo.Count + 1));
        }

        #endregion

        
        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
